diff --git a/drivers/net/fm10k/base/fm10k_pf.c b/drivers/net/fm10k/base/fm10k_pf.c
index 9741cdd..0526077 100644
--- a/drivers/net/fm10k/base/fm10k_pf.c
+++ b/drivers/net/fm10k/base/fm10k_pf.c
@@ -1844,59 +1844,14 @@ s32 fm10k_msg_err_pf(struct fm10k_hw *hw, u32 **results,
 	return FM10K_SUCCESS;
 }
 
+/* currently there is no shared 1588 timestamp handler */
+
 const struct fm10k_tlv_attr fm10k_1588_timestamp_msg_attr[] = {
 	FM10K_TLV_ATTR_LE_STRUCT(FM10K_PF_ATTR_ID_1588_TIMESTAMP,
 				 sizeof(struct fm10k_swapi_1588_timestamp)),
 	FM10K_TLV_ATTR_LAST
 };
 
-const struct fm10k_tlv_attr fm10k_tx_timestamp_mode_attr[] = {
-	FM10K_TLV_ATTR_LE_STRUCT(FM10K_PF_ATTR_ID_TIMESTAMP_MODE_RESP,
-				 sizeof(struct fm10k_swapi_tx_timestamp_mode)),
-	FM10K_TLV_ATTR_LAST
-};
-
-/* currently there is no shared 1588 timestamp handler */
-
-/**
- *  fm10k_request_tx_timestamp_mode_pf - Request a specific Tx timestamping mode
- *  @hw: pointer to hardware structure
- *  @glort: base resource tag for this request
- *  @mode: integer value indicating the requested mode
- *
- *  This function will attempt to request a specific timestamp mode for the
- *  port so that it can receive Tx timestamp messages.
- **/
-STATIC s32 fm10k_request_tx_timestamp_mode_pf(struct fm10k_hw *hw,
-					      u16 glort,
-					      u8 mode)
-{
-	struct fm10k_mbx_info *mbx = &hw->mbx;
-	u32 msg[3], timestamp_mode;
-
-	DEBUGFUNC("fm10k_request_timestamp_mode_pf");
-
-	if (mode > FM10K_TIMESTAMP_MODE_PEP_TO_ANY)
-		return FM10K_ERR_PARAM;
-
-	/* if glort is not valid return error */
-	if (!fm10k_glort_valid_pf(hw, glort))
-		return FM10K_ERR_PARAM;
-
-	/* write timestamp mode as a single u32 value,
-	 * lower 16 bits: glort
-	 * upper 16 bits: mode
-	 */
-	timestamp_mode = ((u32)mode << 16) | glort;
-
-	/* generate message requesting change to xcast mode */
-	fm10k_tlv_msg_init(msg, FM10K_PF_MSG_ID_TX_TIMESTAMP_MODE);
-	fm10k_tlv_attr_put_u32(msg, FM10K_PF_ATTR_ID_TIMESTAMP_MODE_REQ, timestamp_mode);
-
-	/* load onto outgoing mailbox */
-	return mbx->ops.enqueue_tx(hw, mbx, msg);
-}
-
 /**
  *  fm10k_adjust_systime_pf - Adjust systime frequency
  *  @hw: pointer to hardware structure
@@ -2020,7 +1975,6 @@ s32 fm10k_init_ops_pf(struct fm10k_hw *hw)
 	mac->ops.get_host_state = &fm10k_get_host_state_pf;
 	mac->ops.adjust_systime = &fm10k_adjust_systime_pf;
 	mac->ops.read_systime = &fm10k_read_systime_pf;
-	mac->ops.request_tx_timestamp_mode = &fm10k_request_tx_timestamp_mode_pf;
 
 	mac->max_msix_vectors = fm10k_get_pcie_msix_count_generic(hw);
 
diff --git a/drivers/net/fm10k/base/fm10k_pf.h b/drivers/net/fm10k/base/fm10k_pf.h
index af873d1..dd25c49 100644
--- a/drivers/net/fm10k/base/fm10k_pf.h
+++ b/drivers/net/fm10k/base/fm10k_pf.h
@@ -57,7 +57,6 @@ enum fm10k_pf_tlv_msg_id_v1 {
 	FM10K_PF_MSG_ID_SET_FLOW_STATE		= 0x505,
 	FM10K_PF_MSG_ID_GET_1588_INFO		= 0x506,
 	FM10K_PF_MSG_ID_1588_TIMESTAMP		= 0x701,
-	FM10K_PF_MSG_ID_TX_TIMESTAMP_MODE	= 0x702,
 };
 
 enum fm10k_pf_tlv_attr_id_v1 {
@@ -76,8 +75,6 @@ enum fm10k_pf_tlv_attr_id_v1 {
 	FM10K_PF_ATTR_ID_PORT			= 0x0C,
 	FM10K_PF_ATTR_ID_UPDATE_PVID		= 0x0D,
 	FM10K_PF_ATTR_ID_1588_TIMESTAMP		= 0x10,
-	FM10K_PF_ATTR_ID_TIMESTAMP_MODE_REQ	= 0x11,
-	FM10K_PF_ATTR_ID_TIMESTAMP_MODE_RESP	= 0x12,
 };
 
 #define FM10K_MSG_LPORT_MAP_GLORT_SHIFT	0
@@ -128,11 +125,6 @@ struct fm10k_swapi_1588_timestamp {
 	__le16 sglort;
 };
 
-struct fm10k_swapi_tx_timestamp_mode {
-	__le16 glort;
-	__le16 maxmode;
-	__le32 status;
-};
 
 #ifdef C99
 #pragma pack(pop)
@@ -161,11 +153,6 @@ extern const struct fm10k_tlv_attr fm10k_err_msg_attr[];
 #define FM10K_PF_MSG_ERR_HANDLER(msg, func) \
 	FM10K_MSG_HANDLER(FM10K_PF_MSG_ID_##msg, fm10k_err_msg_attr, func)
 
-extern const struct fm10k_tlv_attr fm10k_tx_timestamp_mode_attr[];
-#define FM10K_PF_MSG_TIMESTAMP_MODE_HANDLER(func) \
-	FM10K_MSG_HANDLER(FM10K_PF_MSG_ID_TX_TIMESTAMP_MODE, \
-			  fm10k_tx_timestamp_mode_attr, func)
-
 extern const struct fm10k_tlv_attr fm10k_1588_timestamp_msg_attr[];
 #define FM10K_PF_MSG_1588_TIMESTAMP_HANDLER(func) \
 	FM10K_MSG_HANDLER(FM10K_PF_MSG_ID_1588_TIMESTAMP, \
diff --git a/drivers/net/fm10k/base/fm10k_type.h b/drivers/net/fm10k/base/fm10k_type.h
index 600ce34..7fdf8a4 100644
--- a/drivers/net/fm10k/base/fm10k_type.h
+++ b/drivers/net/fm10k/base/fm10k_type.h
@@ -682,7 +682,6 @@ struct fm10k_mac_ops {
 	void (*request_lport_map)(struct fm10k_hw *);
 	s32 (*adjust_systime)(struct fm10k_hw *, s32 ppb);
 	u64 (*read_systime)(struct fm10k_hw *);
-	s32 (*request_tx_timestamp_mode)(struct fm10k_hw *, u16, u8);
 };
 
 enum fm10k_mac_type {
diff --git a/drivers/net/fm10k/base/fm10k_vf.c b/drivers/net/fm10k/base/fm10k_vf.c
index 87ca336..295bae4 100644
--- a/drivers/net/fm10k/base/fm10k_vf.c
+++ b/drivers/net/fm10k/base/fm10k_vf.c
@@ -561,26 +561,6 @@ STATIC s32 fm10k_configure_dglort_map_vf(struct fm10k_hw *hw,
 }
 
 /**
- * fm10k_request_tx_timestamp_mode_vf - Request Tx timestamp mode
- * @hw: pointer to hardware structure
- * @glort: glort to request Tx timestamps for
- * @mode: timestamp mode to request
- *
- * This function takes the requested timestamp mode and verifies that it was
- * requested as none since the VF cannot support receipt of Tx timestamps.
- *
- * If the mode is non-zero ERR_PARAM, else success
- **/
-STATIC s32 fm10k_request_tx_timestamp_mode_vf(struct fm10k_hw *hw,
-					      u16 glort,
-					      u8 mode)
-{
-	UNREFERENCED_2PARAMETER(hw, glort);
-
-	return mode ? FM10K_ERR_PARAM : FM10K_SUCCESS;
-}
-
-/**
  *  fm10k_adjust_systime_vf - Adjust systime frequency
  *  @hw: pointer to hardware structure
  *  @ppb: adjustment rate in parts per billion
@@ -669,7 +649,6 @@ s32 fm10k_init_ops_vf(struct fm10k_hw *hw)
 	mac->ops.get_host_state = &fm10k_get_host_state_generic;
 	mac->ops.adjust_systime = &fm10k_adjust_systime_vf;
 	mac->ops.read_systime = &fm10k_read_systime_vf;
-	mac->ops.request_tx_timestamp_mode = &fm10k_request_tx_timestamp_mode_vf;
 
 	mac->max_msix_vectors = fm10k_get_pcie_msix_count_generic(hw);
 